import * as React from 'react';
import { Sidebar, Segment } from 'semantic-ui-react';

export class SideBarContainer extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  showContents() {
    return this.props.contents;
  }

  render() {
    return (
        <Sidebar.Pushable as={Segment}>
          <Sidebar
            animation='overlay'
            width='thin'
            direction='right'
            visible={true}
            icon='labeled'
            vertical
            inverted
          >
          test contents
          </Sidebar>  
        </Sidebar.Pushable>
    );
  }
}