import * as React from 'react';

import { Checkbox, Container, Label, Accordion, Icon, List, ListItemProps } from 'semantic-ui-react';


import Host from '../../../@overflow/discovery/api/model/Host';
import Port from '../../../@overflow/discovery/api/model/Port';
import Service from '../../../@overflow/discovery/api/model/Service';

import * as Utils from '../../../components/Utils';


export class Tree extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);

    this.state = {
      portState: false,
    };


    // fs.readFile('../../../../../dh.json', this.handlJSONFile);
  }


  handlJSONFile = (err: any, data: any) => {


  }

  render() {
    return (
      <Container>
        <List>
          {

            jsonData.map((data: any, index: number) => {
              let hh: Host = data;
{/*this.state.portState[hh.ip] = false;*/}
              return (
                <List.Item key={index}>
                  <List.Icon name='folder' onClick={() => {
                    {/*this.state.portState[hh.ip] = !this.state.portState[hh.ip];*/}
                    console.log(this.state.portState)
                    this.setState({portState:!this.state.portState});
                    }}/>
                  <List.Content>

                    <List.Header> <Checkbox label={Utils.int2ip(hh.ip) + ' ' + hh.os} />   </List.Header>
                    <List.Description>Host</List.Description>
                    {this.state.portState? 
                    hh.ports ? hh.ports.map((port: Port, idx: number) => {

                      return (
                        <List.List key={idx * 1000}>
                          <List.Item>
                            <List.Icon name='folder' />
                            <List.Content>
                              <List.Header> <Checkbox label={port.portNumber + ' ' + port.portType} /></List.Header>
                              <List.Description>Port</List.Description>
                              {port.services ? port.services.map((service: Service, sIdx: number) => {
                                return (
                                  <List.List key={sIdx * 10000}>
                                    <List.Item>
                                      <List.Icon name='folder' />
                                      <List.Content>
                                        <List.Header><Checkbox label={service.serviceName + ' ' + service.portType} /></List.Header>
                                        <List.Description>Service</List.Description>
                                      </List.Content>
                                    </List.Item>
                                  </List.List>
                                );
                              }) : ''}
                            </List.Content>
                          </List.Item>
                        </List.List>
                      );
                    }) : '' :''}

                  </List.Content>
                </List.Item>
              );

            })}
        </List>

        {/*<List>
          <List.Item >
            <Label basic onClick={() => {
              this.setState({ tt: !this.state.tt });
            }}>Host</Label>
            <Checkbox />
          </List.Item>
          {this.state.tt ? <List.Item selection >
            <List.List>
              <List.Item>Port 22 NOR</List.Item>
              <List.Item>Port 443 TLS</List.Item>
              <List.Item>Port 80 NOR </List.Item>
            </List.List>
          </List.Item> : ''}
        </List>*/}
      </Container>
    );
  }



}



const jsonData = [{
  "firstScanRange": 1,
  "lastScanRange": 10000,
  "name": "",
  "ip": 3232235818,
  "mac": 91754662925,
  "os": "Windows",
  "ports": [{
    "createDate": -62135596800000,
    "updateDate": -62135596800000,
    "services": [{
      "createDate": -62135596800000,
      "updateDate": -62135596800000,
      "portType": "TCP",
      "serviceName": "SSH",
      "target": true
    }],
    "portType": "TCP",
    "portNumber": 22
  },
  {
    "createDate": -62135596800000,
    "updateDate": -62135596800000,
    "services": [{
      "createDate": -62135596800000,
      "updateDate": -62135596800000,
      "portType": "TCP",
      "serviceName": "HTTP"
    }],
    "portType": "TCP",
    "portNumber": 443
  },
  {
    "createDate": -62135596800000,
    "updateDate": -62135596800000,
    "services": [{
      "createDate": -62135596800000,
      "updateDate": -62135596800000,
      "portType": "TCP",
      "serviceName": "HTTP"
    }],
    "portType": "TCP",
    "portNumber": 80
  }],
  "createDate": 1498470178000,
  "updateDate": 1498470178000
},
{
  "firstScanRange": 1,
  "lastScanRange": 10000,
  "name": "",
  "ip": 3232235781,
  "mac": 91754660625,
  "os": "Windows",
  "ports": [{
    "createDate": -62135596800000,
    "updateDate": -62135596800000,
    "services": [{
      "createDate": -62135596800000,
      "updateDate": -62135596800000,
      "portType": "TCP",
      "serviceName": "SSH"
    }],
    "portType": "TCP",
    "portNumber": 22
  },
  {
    "createDate": -62135596800000,
    "updateDate": -62135596800000,
    "services": [{
      "createDate": -62135596800000,
      "updateDate": -62135596800000,
      "portType": "TCP",
      "serviceName": "HTTP"
    }],
    "portType": "TCP",
    "portNumber": 80
  },
  {
    "createDate": -62135596800000,
    "updateDate": -62135596800000,
    "services": [{
      "createDate": -62135596800000,
      "updateDate": -62135596800000,
      "portType": "TCP",
      "serviceName": "HTTP"
    }],
    "portType": "TCP",
    "portNumber": 1936
  },
  {
    "createDate": -62135596800000,
    "updateDate": -62135596800000,
    "services": null,
    "portType": "TCP",
    "portNumber": 443
  }],
  "createDate": 1498470178000,
  "updateDate": 1498470178000
},
{
  "firstScanRange": 1,
  "lastScanRange": 10000,
  "name": "",
  "ip": 3232235797,
  "mac": 91754662913,
  "os": "Windows",
  "target": true,
  "ports": [{
    "createDate": -62135596800000,
    "updateDate": -62135596800000,
    "services": [{
      "createDate": -62135596800000,
      "updateDate": -62135596800000,
      "portType": "TCP",
      "serviceName": "HTTP"
    }],
    "portType": "TCP",
    "portNumber": 80
  },
  {
    "createDate": -62135596800000,
    "updateDate": -62135596800000,
    "services": [{
      "createDate": -62135596800000,
      "updateDate": -62135596800000,
      "portType": "TCP",
      "serviceName": "SSH"
    }],
    "portType": "TCP",
    "portNumber": 22
  },
  {
    "createDate": -62135596800000,
    "updateDate": -62135596800000,
    "services": [{
      "createDate": -62135596800000,
      "updateDate": -62135596800000,
      "portType": "TCP",
      "serviceName": "HTTP"
    }],
    "portType": "TCP",
    "portNumber": 3343
  },
  {
    "createDate": -62135596800000,
    "updateDate": -62135596800000,
    "services": [{
      "createDate": -62135596800000,
      "updateDate": -62135596800000,
      "portType": "TCP",
      "serviceName": "HTTP"
    }],
    "portType": "TCP",
    "portNumber": 443
  }],
  "createDate": 1498470178000,
  "updateDate": 1498470178000
},
{
  "firstScanRange": 1,
  "lastScanRange": 10000,
  "name": "",
  "ip": 3232235877,
  "mac": 75361038758387,
  "os": "Windows",
  "ports": null,
  "createDate": 1498470179000,
  "updateDate": 1498470179000
}


]