import * as React from 'react';
import { Menu, Header } from 'semantic-ui-react';

export class LogoBar extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  handleLogoClick = () => {
    alert('handleLogoClick');
  }

  handleNotiClick = () => {
    alert('handleNotiClick');
  }

  render() {
    return (
      <div>
        <Menu borderless secondary >
          <Menu.Item
            name='logo'
            onClick={this.handleLogoClick}
          >
            <Header as='h3' icon='stack overflow' content='overFlow' />
          </Menu.Item>
          <Menu.Item
            position='right'
            icon='bell outline'
            onClick={this.handleNotiClick}
          />
        </Menu>
      </div>
    );
  }
}



