import * as React from 'react';
import { Link } from 'react-router-dom';
import RaisedButton from 'material-ui/RaisedButton';
import TextField from 'material-ui/TextField';
import {Input} from 'semantic-ui-react'

const styles = {
  body: {
    textAlign: 'center',
  },
  container: {
    textAlign: 'center',

  },

  textfield: {
    width: 300,
    marginLeft: 3
  },

  customWidth: {
    width: 150,
  },
  button: {
    margin: 12,
  }
};


export class MemberPasswordChange extends React.Component<any, any> {
  constructor(props: any, context: any) {
    super(props, context);

    this.handlePasswordChange = this.handlePasswordChange.bind(this);

    this.state = {
      open: false,
      value: 1,

      pw: "",
      pwConfirm: "",
      errtext:"",
    };
  }

  handleChange = () => this.setState({});

  private emailInput: any;

  handleRequestClose = () => {
    this.setState({
      open: false,
    });
  }

  handleTouchTap = () => {
    this.setState({
      open: true,
    });
  }

  handlePasswordChange = () => {

    let output: string;
    let obj: any; //new object declaration

    console.log(this.state.pw);
    console.log(this.state.pwConfirm);
    if (this.state.pw !==  this.state.pwConfirm) {
      console.log("dddd");
      this.setState({ errtext: "Password not equal" });
      return;

    }
    obj = {
      "pw": this.state.pw,
      "pwConfirm": this.state.pwConfirm,
    };

    let exeObj: any;
    exeObj = {
      "serviceName": "Member",
      "methodName": "PwChange",
      "param": obj
    }


    output = JSON.stringify(exeObj);
  }



  btnTouchTap = () => {
    alert(event)
  };

  render() {

    return (
      <div style={styles.container}>
        <h1>Log in with a overflow Account:</h1>
        <br />
        <TextField
          hintText="Password11"
          floatingLabelText="Password"
          errorText=""
          type="password"
          style={styles.textfield}
          value={this.state.pw}
          onChange={(e, newValue) => this.setState({ pw: newValue })}
        />

        <br />

        <TextField
          hintText="Password Confirm"
          floatingLabelText="Password Confirm"
          errorText=""
          type="password"
          style={styles.textfield}
          value={this.state.pwConfirm}
          onChange={(e, newValue) => this.setState({ pwConfirm: newValue })}
        />
        <br />


        <RaisedButton label="Password Change" primary={true} style={styles.button} onClick={this.handlePasswordChange.bind(this)} />
        <Link to="/member/regist"><RaisedButton label="Sign Up" primary={false} style={styles.button} /></Link>

        <Input placeholder='Search...' />
        </div>
    );
  }
}
