import * as React from 'react';
import { Container, Menu, Dropdown, Segment, Icon } from 'semantic-ui-react';
import { TopBar } from '../TopBar';
import { LogoBar } from './LogoBar';
import { TitleBar } from './TitleBar';

export class LeftMenu extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
    
    window.addEventListener('resize', () => {
      console.log(window);
    });
  }

  

  render() {
    return (
      <Container fluid className='fullHeight'>
        <Segment inverted className='fullHeight'>
          <Menu inverted secondary vertical fluid icon='labeled' >

            <Menu.Item name='User'  >
              <Icon name='user' />
            </Menu.Item>
            <Menu.Item name='Home'  >
              <Icon name='home' />
              Home
            </Menu.Item>
            <Menu.Item name='Monitoring' >
              <Icon name='bar graph' />
              <Dropdown item text='Monitoring' >
                <Dropdown.Menu>
                  <Dropdown.Header>Monitoring</Dropdown.Header>
                  <Dropdown.Item>Probe</Dropdown.Item>
                  <Dropdown.Item>Sensors</Dropdown.Item>
                </Dropdown.Menu>
              </Dropdown>
            </Menu.Item>

            <Menu.Item name='Infrastructure' >
              <Icon name='sitemap' />
              <Dropdown item text='Infrastructure' >


                <Dropdown.Menu>
                  <Dropdown.Header>Infrastructure</Dropdown.Header>
                  <Dropdown.Item>Maps</Dropdown.Item>
                  <Dropdown.Item>Targets</Dropdown.Item>
                </Dropdown.Menu>
              </Dropdown>
            </Menu.Item>

            <Menu.Item name='Dashboard' >
              <Icon name='industry' />
              Dashboard
            </Menu.Item>

            <Menu.Item name='Metrics' >
              <Icon name='tasks' />
              Metrics
            </Menu.Item>

            <Menu.Item name='Alerts' >
              <Icon name='alarm' />
              Alerts
            </Menu.Item>

            <Menu.Item name='History' >
              <Icon name='book' />
              History
            </Menu.Item>


            <Menu.Item>
              <Icon name='play circle' />
              <Dropdown item text='Custom'>
                <Dropdown.Menu>
                  <Dropdown.Header>Custom</Dropdown.Header>
                  <Dropdown.Item href='#/test2'> SignUp </Dropdown.Item>
                  <Dropdown.Item href='#/test3'>SignIn</Dropdown.Item>
                  <Dropdown.Item href='#/test4'> PWChange </Dropdown.Item>
                  <Dropdown.Item href='#/test5'>ProbeDown</Dropdown.Item>
                  <Dropdown.Item href='#/test14'> Insanity </Dropdown.Item>
                  <Dropdown.Item href='#/test6'>DiscoveryDetails</Dropdown.Item>
                  <Dropdown.Item href='#/test7'>Tree</Dropdown.Item>
                </Dropdown.Menu>
              </Dropdown>
            </Menu.Item>
            <Menu.Item name='Settings' >
              <Icon name='setting' />
              Settings
            </Menu.Item>

          </Menu>
        </Segment>
      </Container>
      // <TopBar onSidebar={this.props.onSidebar}/>
    );
  }
}



